#pragma once
#include "global.h"
class CPidEditorGrid : public CDialog
{
	DECLARE_DYNAMIC(CPidEditorGrid)
	DECLARE_MESSAGE_MAP()
public:
	CPidEditorGrid(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CPidEditorGrid();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CPIDEDITOR_GRID };
#endif
	int outGridW = 0;
	int outGridH = 0;
	int outCountW = 0;
	int outMaxID = 0;
	int outTileW = 0;
	int outTileH = 0;
	bool outInterArea = false;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
public:
	afx_msg void OnBnClickedOk();
private:
	//控件
	CEdit edit_grid_w;
	CEdit edit_grid_h;
	CEdit edit_count_w;
	CEdit edit_max_id;
	CEdit edit_tile_w;
	CEdit edit_tile_h;
	CButton check_interArea;
};

